<?php
/** Include PHPExcel */
//require_once '../Classes/PHPExcel.php';
require_once '../PHPExcel/Classes/PHPExcel.php';


// Create new PHPExcel object
$objReader=new PHPExcel_Reader_Excel5();
$objExcel=$objReader->load("t10-1.xls");

//*************************************
//设置当前的sheet索引，用于后续的内容操作。
//一般只有在使用多个sheet的时候才需要显示调用。
//缺省情况下，PHPExcel会自动创建第一个sheet被设置SheetIndex=0
$objExcel->setActiveSheetIndex(0);
$objActSheet=$objExcel->getActiveSheet();

// Get cell B8
$a=$objActSheet->getCellByColumnAndRow(0, 4)->getValue();
$b=$objActSheet->getCellByColumnAndRow(1, 4)->getCalculatedValue();

echo $a."<br>";
echo $b."<br>";

$highestRow = $objActSheet->getHighestRow(); // e.g. 10
$highestColumn = $objActSheet->getHighestColumn(); // e.g 'F'
$highestColumnIndex = PHPExcel_Cell::columnIndexFromString($highestColumn); // e.g. 5

echo '<table border=1>';
for ($row = 1; $row <= $highestRow; ++$row){
  echo '<tr>';
  for ($col = 0; $col <= $highestColumnIndex; ++$col) {
    echo '<td>'.$objActSheet->getCellByColumnAndRow($col, $row)->getValue().'</td>';
  }
  echo '</tr>';
}
echo '</table>';


?>